import request from '@/utils/request'

// 查询开通服务列表
export function listLiberal(query) {
  return request({
    url: '/authentication/liberal/list',
    method: 'get',
    params: query
  })
}

// 查询开通服务详细
export function getLiberal(id) {
  return request({
    url: '/authentication/liberal/' + id,
    method: 'get'
  })
}

// 新增开通服务
export function addLiberal(data) {
  return request({
    url: '/authentication/liberal',
    method: 'post',
    data: data
  })
}

// 修改开通服务
export function updateLiberal(data) {
  return request({
    url: '/authentication/liberal/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除开通服务
export function delLiberal(id) {
  return request({
    url: '/authentication/liberal/' + id,
    method: 'delete'
  })
}
